return: text
lang: plpgsql
parameters:
  p0:
    type: text
    name: i_column_name
  p1:
    type: text
    name: i_table_name
  p2:
    type: integer
    name: i_indicators_count
  p3:
    type: integer
    name: i_array_index
  p4:
    type: bigint
    name: i_indicateur_id
  p5:
    type: bigint
    name: i_indicateur_associe_1_id
  p6:
    type: bigint
    name: i_indicateur_associe_2_id
  p7:
    type: bigint
    name: i_indicateur_associe_3_id
  p8:
    type: bigint
    name: i_indicateur_associe_4_id
  p9:
    type: bigint
    name: i_indicateur_associe_5_id
comment: |
  Remplacée par la fonction cti_prepare_rapport_calc_indicator( 2x text, 2x integer, 8x bigint).
  Elle est conservée pour la rétro-compatibilité
src: |
  DECLARE	
  	column_name text;
  	array_index text;
  BEGIN
  	array_index = '';
  	if i_array_index > 0 THEN
  	END IF;
  	if i_table_name <> '*CALC' THEN
  		column_name = 'SUM(indicateurs[000' || (i_array_index * i_indicators_count + i_indicateur_id)::text || ']' ||')';
  	ELSE
  		column_name = replace(i_column_name, '[1]', 'SUM(indicateurs[000' || (i_array_index * i_indicators_count + i_indicateur_associe_1_id)::text || ']'  ||')');
  		column_name = replace(column_name, '[2]', 'SUM(indicateurs[000' || (i_array_index * i_indicators_count + i_indicateur_associe_2_id)::text || ']'  ||')');
  		column_name = replace(column_name, '[3]', 'SUM(indicateurs[000' || (i_array_index * i_indicators_count + i_indicateur_associe_3_id)::text || ']'  ||')');
  		column_name = replace(column_name, '[4]', 'SUM(indicateurs[000' || (i_array_index * i_indicators_count + i_indicateur_associe_4_id)::text || ']'  ||')');
  		column_name = replace(column_name, '[5]', 'SUM(indicateurs[000' || (i_array_index * i_indicators_count + i_indicateur_associe_5_id)::text || ']'  ||')');
  		--column_name = replace(column_name, '[6]', 'SUM(indicateurs[000' || (i_array_index * i_indicators_count + i_indicateur_associe_6_id)::text || ']'  ||')');
  		--column_name = replace(column_name, '[7]', 'SUM(indicateurs[000' || (i_array_index * i_indicators_count + i_indicateur_associe_7_id)::text || ']'  ||')');
  		--column_name = replace(column_name, '[8]', 'SUM(indicateurs[000' || (i_array_index * i_indicators_count + i_indicateur_associe_8_id)::text || ']'  ||')');
  		--column_name = replace(column_name, '[9]', 'SUM(indicateurs[000' || (i_array_index * i_indicators_count + i_indicateur_associe_9_id)::text || ']'  ||')');
  		--column_name = replace(column_name, '[10]', 'SUM(indicateurs[00' || (i_array_index * i_indicators_count + i_indicateur_associe_10_id)::text || ']'  ||')');
  		--column_name = replace(column_name, '[11]', 'SUM(indicateurs[00' || (i_array_index * i_indicators_count + i_indicateur_associe_11_id)::text || ']'  ||')');
  		--column_name = replace(column_name, '[12]', 'SUM(indicateurs[00' || (i_array_index * i_indicators_count + i_indicateur_associe_12_id)::text || ']'  ||')');
  		--column_name = replace(column_name, '[13]', 'SUM(indicateurs[00' || (i_array_index * i_indicators_count + i_indicateur_associe_13_id)::text || ']'  ||')');
  		--column_name = replace(column_name, '[14]', 'SUM(indicateurs[00' || (i_array_index * i_indicators_count + i_indicateur_associe_14_id)::text || ']'  ||')');
  		--column_name = replace(column_name, '[15]', 'SUM(indicateurs[00' || (i_array_index * i_indicators_count + i_indicateur_associe_15_id)::text || ']'  ||')');
  		--column_name = replace(column_name, '[16]', 'SUM(indicateurs[00' || (i_array_index * i_indicators_count + i_indicateur_associe_16_id)::text || ']'  ||')');
  		--column_name = replace(column_name, '[17]', 'SUM(indicateurs[00' || (i_array_index * i_indicators_count + i_indicateur_associe_17_id)::text || ']'  ||')');
  		--column_name = replace(column_name, '[18]', 'SUM(indicateurs[00' || (i_array_index * i_indicators_count + i_indicateur_associe_18_id)::text || ']'  ||')');
  		--column_name = replace(column_name, '[19]', 'SUM(indicateurs[00' || (i_array_index * i_indicators_count + i_indicateur_associe_19_id)::text || ']'  ||')');
  		--column_name = replace(column_name, '[20]', 'SUM(indicateurs[00' || (i_array_index * i_indicators_count + i_indicateur_associe_20_id)::text || ']'  ||')');
  		
  	END IF;
  		
  	RETURN column_name;
  END;